# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'printf "%d\\n", $ExtUtils::MakeMaker::VERSION < 6.30 ? 1 : 0;' 2>/dev/null || echo 0)

Name:		perl-Locale-US
Version:	2.112150
Release:	1.%{__distinit}%{__distvers}
Summary:	Two letter codes for state identification in the United States
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Locale-US/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TB/TBONE/Locale-US-%{version}.tar.gz
Patch0:		Locale-US-2.112140-old-eumm.patch
Patch1:		Locale-US-2.112140-rt56989.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Data::Section::Simple)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Map from US two-letter codes to states and vice versa.

%prep
%setup -q -n Locale-US-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0 -p1
%endif

# Add regression test for CPAN RT#56989
%patch1 -p1

# Script should be executable, even if it's just a doc
chmod -c +x kruft2codes.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README codes.dat kruft.txt kruft2codes.pl
%{perl_vendorlib}/Locale/
%{_mandir}/man3/Locale::US*.3pm*

%changelog
* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> 2.112150-1
- Update to 2.112150
  - Get rid of left-over debugging code (CPAN RT#30949)
- Drop patch for CPAN RT#30949, no  longer needed

* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> 2.112140-1
- Update to 2.112140
- BR: perl(Data::Section::Simple) and perl(Test::More)
- Package LICENSE file
- Upstream fixed CPAN RT#56989 but didn't add regression test, so tweak the
  patch accordingly
- Add patch to support building with ExtUtils::MakeMaker < 6.30
- Add patch to get rid of left-over debugging code (CPAN RT#30949)

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 1.2-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Feb  2 2011 Paul Howarth <paul@city-fan.org> 1.2-4
- Add patch to address CPAN RT#56989 (Locale::US fails after second call to
  new)

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.2-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> 1.2-2
- Fix dist tag for RHEL-6 Beta

* Fri Jan 29 2010 Paul Howarth <paul@city-fan.org> 1.2-1
- Initial RPM version
